<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: submit.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
include LOCALE.LOCALESET."admin/articles.php";
include INFUSIONS."ap_articles/infusion_db.php";
if (iADMIN) {
	include INFUSIONS."ap_articles/admin_submit_header_mce.php";
//	include INFUSIONS."ap_articles/submit_header_mce.php";
} else {
	include INFUSIONS."ap_articles/submit_header_mce.php";
}
if (file_exists(INFUSIONS."ap_articles/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."ap_articles/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."ap_articles/locale/English.php";
}
if (!iMEMBER) { redirect("index.php"); }
include LOCALE.LOCALESET."submit.php";

if (!isset($_GET['stype']) || !preg_check("/^[a-z]$/", $_GET['stype'])) { redirect("index.php"); }

if ($settings['tinymce_enabled'] == 1) {
	echo "<script language='javascript' type='text/javascript'>advanced();</script>\n";
} else {
	require_once INCLUDES."html_buttons_include.php";
}
$submit_info = array();

if ($_GET['stype'] == "a") {
	if (isset($_POST['submit_article'])) {
		if ($_POST['article_subject'] != "" && $_POST['article_body'] != "") {
			$submit_info['article_cat'] = isnum($_POST['article_cat']) ? $_POST['article_cat'] : "0";
			$submit_info['article_subject'] = stripinput($_POST['article_subject']);
			$submit_info['article_snippet'] = descript($_POST['article_snippet']);
			$submit_info['article_url'] = descript($_POST['article_url']);
			$submit_info['article_title'] = descript($_POST['article_title']);
			$submit_info['article_description'] = descript($_POST['article_description']);
			$submit_info['article_keywords'] = descript($_POST['article_keywords']);
			$submit_info['article_body'] = descript($_POST['article_body']);
			$submit_info['article_breaks'] = (isset($_POST['line_breaks']) ? "y" : "n");
			$submit_info['article_title_add'] = isset($_POST['article_title_add']) ? " checked='checked'" : "";
			$submit_info['article_description_add'] = isset($_POST['article_description_add']) ? " checked='checked'" : "";
			$submit_info['article_keywords_add'] = isset($_POST['article_keywords_add']) ? " checked='checked'" : "";
			$result = dbquery("INSERT INTO ".DB_AP_SUBMISSIONS." (submit_type, submit_user, submit_datestamp, submit_criteria) VALUES ('a', '".$userdata['user_id']."', '".time()."', '".addslashes(serialize($submit_info))."')");
			add_to_title($locale['global_200'].$locale['apa_link1']);
			opentable($locale['apa_link1']);
			echo "<div style='text-align:center'><br />\n".$locale['510']."<br /><br />\n";
			echo "<a href='submit.php?stype=a'>".$locale['511']."</a><br /><br />\n";
			echo "<a href='".BASEDIR."index.php'>".$locale['412']."</a><br /><br />\n</div>\n";
			closetable();
		}
	} else {
		if (isset($_POST['preview_article'])) {
			$article_cat = isnum($_POST['article_cat']) ? $_POST['article_cat'] : "0";
			$article_subject = stripinput($_POST['article_subject']);
			$article_snippet = phpentities(descript(stripslash($_POST['article_snippet'])));
			$article_body = phpentities(descript(stripslash($_POST['article_body'])));
			$breaks = (isset($_POST['line_breaks']) ? " checked='checked'" : "");
				$article_url = phpentities(descript(stripslash($_POST['article_url'])));
			opentable($article_subject);
			echo (isset($_POST['line_breaks']) ? nl2br($article_body) : $article_body);
			closetable();
			tablebreak();
		}
		if (!isset($_POST['preview_article'])) {
			$article_cat = "0";
				$article_url = "";
				$article_title = "";
				$article_title_add = "";
				$article_description = "";
				$article_description_add = "";
				$article_keywords = "";
				$article_keywords_add = "";
			$article_subject = "";
			$article_snippet = "";
			$article_body = "";
			$breaks = " checked='checked'";
		}
		$cat_list = ""; $sel = "";
		add_to_title($locale['global_200'].$locale['apa_link1']);
		opentable($locale['apa_link1']);
		$result = dbquery("SELECT article_cat_id, article_cat_name FROM ".DB_AP_ARTICLE_CATS." WHERE ".groupaccess("article_cat_access")." ORDER BY article_cat_name");
		if (dbrows($result)) {
			while ($data = dbarray($result)) {
				if (isset($_POST['preview_article'])) { $sel = $article_cat == $data['article_cat_id'] ? " selected" : ""; }
				$cat_list .= "<option value='".$data['article_cat_id']."'".$sel.">".$data['article_cat_name']."</option>\n";
			}
			echo $locale['520']."<br /><br />\n";
			echo "<form name='submit_form' method='post' action='".FUSION_SELF."?stype=a' onsubmit='return validateArticle(this);'>\n";
			echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
			echo "<td width='100' class='tbl'>".$locale['521']."</td>\n";
			echo "<td class='tbl'><select name='article_cat' class='textbox'>\n$cat_list</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td class='tbl'>".$locale['522']."</td>\n";
			echo "<td class='tbl'><input type='text' name='article_subject' value='$article_subject' maxlength='64' class='textbox' style='width:300px;' />\n";
		echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"."URL:"."&nbsp;\n";
		echo "<input type='text' name='article_url' value='$article_url' class='textbox' style='width:250px;' /></td>\n";
			echo "</tr>\n<tr>\n";
		echo "<td class='tbl'>"."Title"."</td>\n";
		echo "<td class='tbl'><input type='text' name='article_title' value='$article_title' class='textbox' style='width:500px;' />\n";
		echo "&nbsp;&nbsp;&nbsp;";
		echo "<label><input type='checkbox' name='article_title_add' value='yes'".$article_title_add." /> "."Add"."</label></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl'>"."Meta description"."</td>\n";
		echo "<td class='tbl'><input type='text' name='article_description' value='$article_description' class='textbox' style='width:500px;' />\n";
		echo "&nbsp;&nbsp;&nbsp;";
		echo "<label><input type='checkbox' name='article_description_add' value='yes'".$article_description_add." /> "."Add"."</label></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl'>"."Meta keywords"."</td>\n";
		echo "<td class='tbl'><input type='text' name='article_keywords' value='$article_keywords' class='textbox' style='width:500px;' />\n";
		echo "&nbsp;&nbsp;&nbsp;";
		echo "<label><input type='checkbox' name='article_keywords_add' value='yes'".$article_keywords_add." /> "."Add"."</label></td>\n";
		echo "</tr>\n<tr>\n";
			echo "<td valign='top' class='tbl'>".$locale['523']."</td>\n";
			echo "<td class='tbl'><textarea name='article_snippet' cols='60' rows='3' class='textbox' style='width:98%'>".$article_snippet."</textarea></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td valign='top' class='tbl'>".$locale['524']."</td>\n";
			echo "<td class='tbl'><textarea name='article_body' cols='95' rows='5' class='textbox' style='width:98%'>".$article_body."</textarea></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl'><br />\n";
			echo "<input type='submit' name='preview_article' value='".$locale['526']."' class='button' />\n";
			echo "<input type='submit' name='submit_article' value='".$locale['527']."' class='button' />\n</td>\n";
			echo "</tr>\n</table>\n</form>\n";
		} else {
			echo "<div style='text-align:center'><br />\n".$locale['551']."<br /><br />\n</div>\n";
		}
		closetable();
	}
} else {
	redirect("index.php");
}
echo "<script type='text/javascript'>
function validateArticle(frm) {
	if (frm.article_subject.value=='') {alert('".$locale['550']."');
		return false;
	}
}
</script>\n";

require_once THEMES."templates/footer.php";
?>